org.eclipse.handly.buffer

## Enum SaveMode

- java.lang.Object
- - java.lang.Enum<SaveMode>
  - - org.eclipse.handly.buffer.SaveMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SaveMode>

      public enum SaveMode
      extends java.lang.Enum<SaveMode>

  Indicates whether a buffer is to be saved after a change has been applied to it.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORCE_SAVE` Indicates that the buffer is to be saved after the change has been applied.
    `KEEP_SAVED_STATE` Indicates that the buffer's save state has to be kept.
    `LEAVE_UNSAVED` Indicates that the buffer will be left with unsaved changes after applying the change.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SaveMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SaveMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEEP_SAVED_STATE

          public static final SaveMode KEEP_SAVED_STATE

      Indicates that the buffer's save state has to be kept. This means an unsaved buffer is still unsaved after applying the change and a saved one will be saved.

    - #### FORCE_SAVE

          public static final SaveMode FORCE_SAVE

      Indicates that the buffer is to be saved after the change has been applied.

    - #### LEAVE_UNSAVED

          public static final SaveMode LEAVE_UNSAVED

      Indicates that the buffer will be left with unsaved changes after applying the change.

  - ### Method Detail

    - #### values

          public static SaveMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SaveMode c : SaveMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SaveMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0